Bug 991714 - ath9k driver for Atheros Communications Inc. AR5416 Wireless Network Adapter no longer connects at 300 MBPS
ath9k driver for Atheros Communications Inc. AR5416 Wireless Network Adapter ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
athlon Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 19:24 EDT by jd1008
Modified: 2014-06-09 16:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:06:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jd1008 2013-08-03 19:24:01 EDT
Description of problem:
Before kernel 3.X, I used to be able to connect to my router at 300mbps.
No more! since kernel 3.x.y 
Nothing has changed in the router's setting.
Nothing has changed with distance from router or position of computer.
Ruoter configured to use only wireless N.
Distance from router is only 15 feet, with no barrier in between.
Since kernel 3.x, I can barely connect at better than 107mbps.

Version-Release number of selected component (if applicable):
kernel-3.9.11-200.fc18.x86_64
$ uname -r
3.9.11-200.fc18.x86_64

How reproducible:
Always.
NetworkManager auto connects the wireless.

Steps to Reproduce:
1.
2.
3.

Actual results:
$ iwconfig wlan0
wlan0     IEEE 802.11bgn  ESSID:"MyWlan"  
          Mode:Managed  Frequency:2.412 GHz  Access Point: XX:XX:XX:XX:XX:XX   
          Bit Rate=117 Mb/s   Tx-Power=27 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality=70/70  Signal level=-51 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:351  Invalid misc:13080   Missed beacon:0


Expected results:
Bit Rate=300 Mb/s

Additional info:
$ lspci -vv | grep -A 12 Network
00:0b.0 Network controller: Atheros Communications Inc. AR5416 Wireless Network Adapter [AR5008 802.11(a)bgn] (rev 01)
	Subsystem: Atheros Communications Inc. Device 2071
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at febe0000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-


Please advise if it can be solved via configuration setting in computer and/or router.
Comment 1 jd1008 2013-08-03 19:27:34 EDT
su'ed to root and re-ran iwconfig wlan0:

wlan0     IEEE 802.11bgn  ESSID:"Sean&Anna"  
          Mode:Managed  Frequency:2.412 GHz  Access Point: XX:XX:XX:XX:XX:XX   
          Bit Rate=117 Mb/s   Tx-Power=27 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=70/70  Signal level=-42 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:352  Invalid misc:15174   Missed beacon:0
Comment 2 Justin M. Forbes 2013-10-18 17:15:38 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 3 Justin M. Forbes 2013-11-27 11:06:37 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 4 jd1008 2014-06-09 16:48:04 EDT
(In reply to Justin M. Forbes from comment #3)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  
> 
> It has been over a month since we asked you to test the 3.11 kernel updates
> and let us know if your issue has been resolved or is still a problem. When
> this happened, the bug was set to needinfo.  Because the needinfo is still
> set, we assume either this is no longer a problem, or you cannot provide
> additional information to help us resolve the issue.  As a result we are
> closing with insufficient data. If this is still a problem, we apologize,
> feel free to reopen the bug and provide more information so that we can work
> towards a resolution
> 
> If you experience different issues, please open a new bug report for those.

Please close this report because I do not see any improvement
even after I upgraded to fc20.

The problem remains.

So, it seems that the developers are either not interested or
do not have the bandwidth to look into it, or are unable to reproduce it.

Note You need to log in before you can comment on or make changes to this bug.